configure alarm relay for different sources
Sources for this description
Multiple manufacturers; see the original MIB MIB copies (LibreNMS/Observium Community)
OID reference
1.3.6.1.4.1.3652.3.1.2.7
configure alarm relay for different sources
Identification
{1 3 6 1 4 1 3652 3 1 2 7}
| Value | Name |
|---|---|
| 0 | off |
| 1 | psu |
| 2 | fan |
| 3 | psuFan |
| 4 | slots |
| 5 | psuSlots |
| 6 | fanSlots |
| 7 | psuFanSlots |
| 255 | notAvailable |
At least one MIB declaration places this object in a scalar group. A scalar instance uses the suffix .0.
snmpget [connection options] DEVICE .1.3.6.1.4.1.3652.3.1.2.7.0
Replace the placeholders with your connection and authentication options. Available permissions and device support can differ from the MIB.
Properties come from available MIB definitions. Actual device support and access can differ. See source records below for original files and qualifications.
The displayed source records contain one distinct definition. Compare its source records.
nmAgentConfigAlarmRelay OBJECT-TYPE
SYNTAX INTEGER
{
off(0),
psu(1),
fan(2),
psuFan(3),
slots(4),
psuSlots(5),
fanSlots(6),
psuFanSlots(7),
notAvailable(255)
}
MAX-ACCESS read-write
STATUS current
DESCRIPTION
"configure alarm relay for different sources"
::= { nmAgentConfig 7 }
Meaning
Identical descriptions are grouped. Different wording and device-specific notes are retained.
configure alarm relay for different sources
Multiple manufacturers; see the original MIB MIB copies (LibreNMS/Observium Community)
Evidence
Matching descriptions are grouped; open a group to compare definitions and supporting files.
Status in source: current.
Names: nmAgentConfigAlarmRelay
{
"smi_kind": "OBJECT-TYPE",
"definition": [
"nmAgentConfigAlarmRelay",
"OBJECT-TYPE",
"SYNTAX",
"INTEGER",
"{",
"off",
"(",
"0",
")",
",",
"psu",
"(",
"1",
")",
",",
"fan",
"(",
"2",
")",
",",
"psuFan",
"(",
"3",
")",
",",
"slots",
"(",
"4",
")",
",",
"psuSlots",
"(",
"5",
")",
",",
"fanSlots",
"(",
"6",
")",
",",
"psuFanSlots",
"(",
"7",
")",
",",
"notAvailable",
"(",
"255",
")",
"}",
"MAX-ACCESS",
"read-write",
"STATUS",
"current",
"DESCRIPTION",
"\"configure alarm relay for different sources\"",
"::=",
"{",
"nmAgentConfig",
"7",
"}"
],
"syntax_tree": [
[
"SimpleSyntax",
"INTEGER",
[
"enumSpec",
[
[
"off",
0
],
[
"psu",
1
],
[
"fan",
2
],
[
"psuFan",
3
],
[
"slots",
4
],
[
"psuSlots",
5
],
[
"fanSlots",
6
],
[
"psuFanSlots",
7
],
[
"notAvailable",
255
]
]
]
],
null,
[
"MaxAccessPart",
"read-write"
],
[
"Status",
"current"
],
[
"DESCRIPTION",
"configure alarm relay for different sources"
],
null,
null,
null,
null
]
}Vendor MIB copy from the LibreNMS archive.
Module: SPEEDCARRIER-MIB
See published definition above
{'SNMPv2-TC': ['DisplayString'], 'SNMPv2-SMI': ['Integer32', 'IpAddress', 'TimeTicks', 'MODULE-IDENTITY', 'OBJECT-TYPE', 'NOTIFICATION-TYPE'], 'PanDacom-MIB': ['panDacom', 'traps', 'descr', 'slot', 'port']}Related source files and packages:
Vendor MIB copy from the Observium Community archive.
Module: SPEEDCARRIER-MIB
{'RFC-1212': ['OBJECT-TYPE'], 'RFC-1215': ['TRAP-TYPE'], 'SNMPv2-SMI': ['enterprises', 'IpAddress', 'TimeTicks', 'MODULE-IDENTITY'], 'RFC1213-MIB': ['DisplayString'], 'PanDacom-MIB': ['PanDacom']}Related source files and packages:
Registration
| OID | Name | Direct children | Descendants | Description |
|---|---|---|---|---|
| 1.3.6.1.4.1.3652.3.1.2.1 | nmAgentConfigNetwork | 5 | 5 | |
| 1.3.6.1.4.1.3652.3.1.2.2 | nmAgentConfigSnmp | 11 | 19 | |
| 1.3.6.1.4.1.3652.3.1.2.3 | nmAgentConfigSlotAlarmsTable | 1 | 4 | |
| 1.3.6.1.4.1.3652.3.1.2.4 | nmAgentConfigSlotModulesTable | 1 | 6 | |
| 1.3.6.1.4.1.3652.3.1.2.6 | nmAgentConfigCarrierName | 0 | 0 | |
| 1.3.6.1.4.1.3652.3.1.2.8 | nmAgentConfigFAN | 0 | 0 | |
| 1.3.6.1.4.1.3652.3.1.2.9 | nmAgentConfigNtpServer | 0 | 0 | |
| 1.3.6.1.4.1.3652.3.1.2.10 | nmAgentConfigTftpServer | 0 | 0 | |
| 1.3.6.1.4.1.3652.3.1.2.11 | nmAgentConfigWebServer | 0 | 0 | |
| 1.3.6.1.4.1.3652.3.1.2.12 | nmAgentConfigMyWebView | 0 | 0 | |
| 1.3.6.1.4.1.3652.3.1.2.13 | nmAgentConfigPSU1Type | 0 | 0 | |
| 1.3.6.1.4.1.3652.3.1.2.14 | nmAgentConfigPSU2Type | 0 | 0 | |
| 1.3.6.1.4.1.3652.3.1.2.15 | nmAgentConfigTimezone | 0 | 0 | |
| 1.3.6.1.4.1.3652.3.1.2.16 | nmAgentConfigAccess | 0 | 0 | |
| 1.3.6.1.4.1.3652.3.1.2.17 | nmAgentConfigCliTimeout | 0 | 0 | |
| 1.3.6.1.4.1.3652.3.1.2.18 | nmAgentConfigRadiusServerAddress | 0 | 0 | |
| 1.3.6.1.4.1.3652.3.1.2.19 | nmAgentConfigRadiusStateConfig | 0 | 0 | |
| 1.3.6.1.4.1.3652.3.1.2.20 | nmAgentConfigRadiusSharedSecret | 0 | 0 | |
| 1.3.6.1.4.1.3652.3.1.2.21 | nmAgentConfigNMSState | 0 | 0 | |
| 1.3.6.1.4.1.3652.3.1.2.22 | nmAgentConfigPSU1Text | 0 | 0 | |
| 1.3.6.1.4.1.3652.3.1.2.23 | nmAgentConfigPSU2Text | 0 | 0 | |
| 1.3.6.1.4.1.3652.3.1.2.24 | nmAgentConfigPSU3Text | 0 | 0 | |
| 1.3.6.1.4.1.3652.3.1.2.25 | nmAgentConfigPSU3Type | 0 | 0 | |
| 1.3.6.1.4.1.3652.3.1.2.26 | nmAgentConfigRadiusServerConfigTable | 1 | 4 | |
| 1.3.6.1.4.1.3652.3.1.2.27 | nmAgentConfigSyslogServerIPAddress | 0 | 0 | |
| 1.3.6.1.4.1.3652.3.1.2.28 | nmAgentConfigSyslogSeverity | 0 | 0 | |
| 1.3.6.1.4.1.3652.3.1.2.29 | nmAgentConfigSyslogFacility | 0 | 0 |